# List Transactions

Returns a list of Transactions that match the provided filters.

## Request

```curl
curl -G https://api.stripe.com/v2/money_management/transactions \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --data-urlencode "created[gte]=2023-01-01T00:00:00Z"
```

### Response

```json
{
  "data": [
    {
      "id": "trxn_65NygiBHKcUPGUI8A5Q16NoTesLDSQ1IgNPigisRKq0GAq",
      "object": "v2.money_management.transaction",
      "amount": {
        "value": -1000,
        "currency": "usd"
      },
      "balance_impact": {
        "available": {
          "value": -1000,
          "currency": "usd"
        },
        "inbound_pending": {
          "value": 0,
          "currency": "usd"
        },
        "outbound_pending": {
          "value": 0,
          "currency": "usd"
        }
      },
      "category": "outbound_transfer",
      "created": "2023-03-24T22:06:37.343Z",
      "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
      "flow": {
        "outbound_transfer": "obt_65NygiAXfaPmQ5ev3oz16NoTesLDSQ1IgNPigisRKq07Fg",
        "type": "outbound_transfer"
      },
      "livemode": true,
      "status": "posted",
      "status_transitions": {
        "posted_at": "2023-03-24T22:06:35.409Z",
        "void_at": null
      }
    },
    {
      "id": "trxn_65NygdWJ4oXvPH8YeYq16NoTesLDSQ1IgNPigisRKq0Flo",
      "object": "v2.money_management.transaction",
      "amount": {
        "value": 1000,
        "currency": "usd"
      },
      "balance_impact": {
        "available": {
          "value": 1000,
          "currency": "usd"
        },
        "inbound_pending": {
          "value": 0,
          "currency": "usd"
        },
        "outbound_pending": {
          "value": 0,
          "currency": "usd"
        }
      },
      "category": "received_credit",
      "created": "2023-03-24T22:01:48.394Z",
      "financial_account": "fa_65NygYWKxfJHZ49zLiX16NoTesLDSQ1IgNPigisRKq0Vqy",
      "flow": {
        "received_credit": "rc_61NygdVsGgIDm9k6816NoTesLDSQ1IgNPigisRKq06Cu",
        "type": "received_credit"
      },
      "livemode": true,
      "status": "posted",
      "status_transitions": {
        "posted_at": "2023-03-24T22:01:46.107Z",
        "void_at": null
      }
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- [`created`](https://docs.stripe.com/api/v2/money-management/transactions/list.md?query=created) (object, optional)
  Filter for Transactions created within a specified time range.

- `financial_account` (string, optional)
  Filter for Transactions belonging to a specific FinancialAccount. This filter only supports filtering by the FinancialAccount’s ID.

- `flow` (string, optional)
  Filter for Transactions created by a specific flow object. This filter only supports filtering by the flow object’s ID, such as `ibt_123` for an InboundTransfer. A value that doesn’t match a flow ID returns an empty list.

- `limit` (integer, optional)
  The page limit.

- `page` (string, optional)
  The page token.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/money-management/transactions/list.md?query=data) (array of objects)
  List of Transaction objects.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | invalid_filters | Error returned when filter parameters in the request are invalid. |
| 404 | not_found | The resource wasn’t found. |
